edu.csus.ecs.pc2.api.listener

## Enum ConnectionEvent.Action

- java.lang.Object
- - java.lang.Enum<ConnectionEvent.Action>
  - - edu.csus.ecs.pc2.api.listener.ConnectionEvent.Action

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionEvent.Action>
  Enclosing class:
    ConnectionEvent

      public static enum ConnectionEvent.Action
      extends Enum<ConnectionEvent.Action>

  Action for ConnectionEvent.
  Version:
    $Id: ConnectionEvent.java 1717 2008-12-30 06:53:21Z laned $
  Author:
    pc2@ecs.csus.edu

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DROPPED` Connection Dropped

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionEvent.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DROPPED

          public static final ConnectionEvent.Action DROPPED

      Connection Dropped

  - ### Method Detail

    - #### values

          public static ConnectionEvent.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionEvent.Action c : ConnectionEvent.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionEvent.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null